# -*- encoding: utf-8 -*-
##############################################################################
#
#    Personalizzazione realizzata da Francesco OpenCode Apruzzese
#    Compatible with OpenERP release 6.0.0
#    Copyright (C) 2010 Andrea Cometa. All Rights Reserved.
#    Email: cescoap@gmail.com
#    Web site: http://www.andreacometa.it
#
##############################################################################


from osv import fields, osv


class stock_move(osv.osv):

	_name = "stock.move"
	_inherit = "stock.move"

	def _qty_segno(self, cr, uid, ids, name, arg, context=None):
		res = {}
		for move in self.browse(cr, uid, ids, context=context):
			segno = 1
			partner_obj = self.pool.get('res.partner')
			partner_ids = partner_obj.search(cr, uid, [('location_fornitore_id', '=', move.location_id.id)])
			if partner_ids:
				segno = -1
			partner_ids = partner_obj.search(cr, uid, [('location_fornitore_id', '=', move.location_dest_id.id)])
			if partner_ids:
				segno = +1
			res[move.id] = segno * move.product_uos_qty
			print res[move.id]
		return res

	_columns = {
		'product_qty_con_segno' : fields.function(_qty_segno, method=True, string='Quantità', type='float', store=True),
	}

stock_move()
